Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.expression
Class ExpressionNamespace

    java.lang.Object
      org.codehaus.aspectwerkz.expression.ExpressionNamespace

    public final class ExpressionNamespace

extends Object

The expression namespace as well as a repository for the namespaces.

A namespace is usually defined by the name of the class defining the expression.

Author:
  Jonas Bonr

Method Summary
`void` | `addExpressionInfo(String name, ExpressionInfo expressionInfo)` Adds an expression info to the namespace.
`AdvisedClassFilterExpressionVisitor` | `getAdvisedClassExpression(String name)` Returns the advised class expression with a specific name.
`ExpressionVisitor` | `getExpression(String name)` Returns the expression with a specific name.
`ExpressionInfo` | `getExpressionInfo(String name)` Returns the expression info with a specific name or throw an exception if it could not be found.
`ExpressionInfo` | `getExpressionInfoOrNull(String name)` Returns the expression info with a specific name or null if it could not be found.
`String` | `getName()` Returns the name of the namespace.
`static ExpressionNamespace` | `getNamespace(String namespace)` Returns the expression namespace for a specific namespace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNamespace

    public static ExpressionNamespace getNamespace(String namespace)

  Returns the expression namespace for a specific namespace.

  Parameters:
    `namespace` - the expression namespace
  Returns:
    the expression namespace abstraction

### addExpressionInfo

    public void addExpressionInfo(String name,
                                  ExpressionInfo expressionInfo)

  Adds an expression info to the namespace.

  Parameters:
    `name` - the name mapped to the expression
    `expressionInfo` - the expression info to add

### getExpressionInfoOrNull

    public ExpressionInfo getExpressionInfoOrNull(String name)

  Returns the expression info with a specific name or null if it could not be found.

  Parameters:
    `name` - the name of the expression
  Returns:
    the expression info

### getExpressionInfo

    public ExpressionInfo getExpressionInfo(String name)

  Returns the expression info with a specific name or throw an exception if it could not be found.

  Parameters:
    `name` - the name of the expression
  Returns:
    the expression info

### getExpression

    public ExpressionVisitor getExpression(String name)

  Returns the expression with a specific name.

  Parameters:
    `name` - the name of the expression
  Returns:
    the expression

### getAdvisedClassExpression

    public AdvisedClassFilterExpressionVisitor getAdvisedClassExpression(String name)

  Returns the advised class expression with a specific name.

  Parameters:
    `name` - the name of the expression
  Returns:
    the expression

### getName

    public String getName()

  Returns the name of the namespace.

  Returns:
    the name of the namespace

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.